Bug 439317 - change bug report links
change bug report links
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-27 21:38 EDT by Rahul Sundaram
Modified: 2014-06-18 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 15:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-03-27 21:38:18 EDT
Description of problem:

init (and possibly other commands) point to ubuntu mailing lists as the bug
reporting place. Maybe that should be pointed to http://bugzilla.redhat.com
Comment 1 Casey Dahlin 2008-04-02 11:17:03 EDT
Is pointing to upstream so bad? I don't know that its as much of an issue.
Comment 2 Rahul Sundaram 2008-04-02 11:42:11 EDT
Pointing to upstream isn't bad assuming it is a proper bug tracker and there is
no patches in Fedora package that changes upstream behaviour. 
Comment 3 Casey Dahlin 2008-04-02 12:45:52 EDT
The former seems to be satisfied. The latter might be an issue.

To be certain, I don't see anything pointing to ubuntu in the man pages. I just
see links to https://launchpad.net/upstart/+bugs . Was there something else I
didn't see?

Comment 4 Rahul Sundaram 2008-04-02 13:14:50 EDT
# init --help

Report bugs to <upstart-devel@lists.ubuntu.com>
Comment 5 Casey Dahlin 2008-04-03 11:03:06 EDT
Ahh. The commands themselves.

Will fix...
Comment 6 Casey Dahlin 2008-04-03 11:34:28 EDT
upstart-0.3.9-14 is building now with the email address changed to
fedora-devel-list@redhat.com (an email address seems more appropriate in this
context). Do we need to change the launchpad URL or do we close the bug now?
Comment 7 Rahul Sundaram 2008-04-03 11:41:54 EDT
That's a decision I would let you make as a maintainer. We don't want to be
acting as middle men unnecessarily for upstream issues while also not bothering
upstream for Fedora specific problems. If you don't intend to diverge in any
significant way from upstream (which should be the goal), pointing to launchpad
should be ok. 
Comment 8 Casey Dahlin 2008-04-03 15:47:39 EDT
I might expect that upstream would still get a lot of our bugs since people will
likely file most new issues with init against upstart, even though most of those
issues will actually be with the job definitions. We could arguably help people
be "less wrong" by filtering everything that touched that area, but its kind of
moot. Many of the bugs will be coming from more advanced users who are regularly
intimate with this part of the system, and who would likely know better. The
less advanced users would probably just throw it in the general direction of
"Fedora" without really being able to understand which package was at fault.
Best policy is to provide the most accurate information regardless.

Note You need to log in before you can comment on or make changes to this bug.